Skip to content
Navigation

Get capital graph public portfolio

GET
https://api.sureshake.com/v2/entities/public/{slug}/portfolio

Path parameters

  • slug
    string
    required
    minLength: 1

Query parameters

  • limit
    optional
    integer
    maximum: 100 · minimum: 1 · default: 12
  • page
    optional
    integer
    maximum: 10000 · minimum: 1 · default: 1
  • cursor
    optional
    string
    format: uuid

Returns

200

Default Response

JSON
  • status
    available
    or
    unavailable
    required
  • rows
    array of
    object
    required
    • entityId
      string
      required
      format: uuid
    • name
      string
      required
      minLength: 1
    • slug
      string
      required
      minLength: 1
    • logoUrl
      string
      or null
      required
    • relationshipType
      string
      required
      minLength: 1
    • confidence
      integer
      or null
      required
      maximum: 100 · minimum: 0
    • roundHint
      string
      or null
      required
    • display
      object
      required
      • displayStatus
        displayable
        or
        hidden_no_public_provenance
        or
        hidden_inactive
        or
        hidden_revoked
        or
        hidden_confidence_only
        or
        hidden_private
        required
      • provenance
        object
        or null
        required
        • sourceType
          source_url
          or
          reviewed_public_research
          or
          verified_report_badge
          or
          provider_record
          or
          neo4j_relationship
          or
          entity_profile
          +2 more
          required
        • label
          string
          required
          minLength: 1
        • sourceUrl
          optional
          string
          or null
          format: uri
        • sourceId
          optional
          string
          or null
        • reviewedPublic
          optional
          boolean
          default: false
        • reviewedPublicAt
          optional
          string
          or null
          format: date-time
        • reviewedPublicBy
          optional
          string
          or null
        • confidence
          optional
          integer
          or null
          maximum: 100 · minimum: 0
      • reasonCodes
        optional
        array of
        eligible
        or
        below_template_threshold
        or
        missing_name_or_slug
        or
        missing_baseline_public_fact
        or
        unreleased_entity
        or
        placeholder_entity
        +8 more
        default: []
      • freshness
        optional
        object
        or null
        • label
          string
          required
          minLength: 1
        • sourcedAt
          optional
          string
          or null
          format: date-time
        • reviewedAt
          optional
          string
          or null
          format: date-time
        • computedAt
          optional
          string
          or null
          format: date-time
        • staleAfter
          optional
          string
          or null
          format: date-time
    • updatedAt
      string
      or null
      required
      format: date-time
    • graphId
      string
      required
      minLength: 1
    • publicUrl
      string
      required
      pattern: ^\/c\/[^/?#]+$
    • publicationVersion
      integer
      required
      minimum: 0
    • role
      string
      or null
      required
    • sourceUrl
      string
      or null
      required
      format: uri
    • provenance
      reviewed_public
      required
    • website
      string
      or null
      required
      format: uri
    • card
      object
      or null
      required
      • summary
        object
        or null
        required
        • text
          string
          required
          minLength: 1
        • sourceUrl
          string
          or null
          required
          format: uri
        • checkedAt
          string
          or null
          required
          format: date-time
      • location
        object
        or null
        required
        • text
          string
          required
          minLength: 1
        • sourceUrl
          string
          or null
          required
          format: uri
        • checkedAt
          string
          or null
          required
          format: date-time
      • industry
        object
        or null
        required
        • code
          venture_capital
          or
          private_equity
          or
          asset_management
          or
          banking
          or
          insurance
          or
          fintech
          +31 more
          required
        • label
          string
          required
          minLength: 1
        • method
          model_inference
          or
          owner_stated
          required
        • checkedAt
          string
          or null
          required
          format: date-time
      • funding
        optional

        Any of the following:

        • object
          • status
            available
            required
          • lastFunding
            object
            or null
            required
            • stage
              string
              required
              maxLength: 100 · minLength: 1
            • sourceUrl
              string
              required
              format: uri · pattern: ^https?:\/\/
            • roundId
              string
              required
              maxLength: 255 · minLength: 1
            • sourceUrls
              array of
              string
              required
              format: uri · pattern: ^https?:\/\/
            • observedAt
              string
              or null
              required
              format: date-time
            • provenance
              funding_observation
              or
              fireround
              required
            • amountUsd
              optional
              number
              or null
              maximum: 9007199254740991 · minimum: 0
            • amountDisplay
              optional
              string
              or null
              maxLength: 100 · minLength: 1
            • currency
              optional
              string
              pattern: ^[A-Z]{3}$
            • announcedDate
              optional
              string
              format: date
            • announcedMonth
              optional
              string
              pattern: ^\d{4}-(0[1-9]|1[0-2])$
            • coInvestors
              optional
              array of
              default: []

              Any of the following:

              • string
              • object
                • name
                  string
                  required
                  maxLength: 255 · minLength: 1
                • website
                  optional
                  string
                  or null
                  format: uri
                • entityId
                  optional
                  string
                  format: uuid
            • leadInvestors
              optional
              array of
              default: []

              Any of the following:

              • string
              • object
                • name
                  string
                  required
                  maxLength: 255 · minLength: 1
                • website
                  optional
                  string
                  or null
                  format: uri
                • entityId
                  optional
                  string
                  format: uuid
          • fundingRounds
            array of
            object
            required
            • stage
              string
              required
              maxLength: 100 · minLength: 1
            • sourceUrl
              string
              required
              format: uri · pattern: ^https?:\/\/
            • roundId
              string
              required
              maxLength: 255 · minLength: 1
            • sourceUrls
              array of
              string
              required
              format: uri · pattern: ^https?:\/\/
            • observedAt
              string
              or null
              required
              format: date-time
            • provenance
              funding_observation
              or
              fireround
              required
            • amountUsd
              optional
              number
              or null
              maximum: 9007199254740991 · minimum: 0
            • amountDisplay
              optional
              string
              or null
              maxLength: 100 · minLength: 1
            • currency
              optional
              string
              pattern: ^[A-Z]{3}$
            • announcedDate
              optional
              string
              format: date
            • announcedMonth
              optional
              string
              pattern: ^\d{4}-(0[1-9]|1[0-2])$
            • coInvestors
              optional
              array of
              default: []

              Any of the following:

              • string
              • object
                • name
                  string
                  required
                  maxLength: 255 · minLength: 1
                • website
                  optional
                  string
                  or null
                  format: uri
                • entityId
                  optional
                  string
                  format: uuid
            • leadInvestors
              optional
              array of
              default: []

              Any of the following:

              • string
              • object
                • name
                  string
                  required
                  maxLength: 255 · minLength: 1
                • website
                  optional
                  string
                  or null
                  format: uri
                • entityId
                  optional
                  string
                  format: uuid
        • object
          • status
            unavailable
            required
          • unavailableComponent
            funding_graph
            required
    • domain
      optional
      string
      or null
    • verificationBadge
      optional
      object
      • status
        none
        or
        verified_report_on_file
        required
      • reportOnFile
        boolean
        required
      • label
        string
        required
        minLength: 1
      • lastFiledAt
        string
        or null
        required
        format: date-time
      • proofLevel
        source-connected
        or
        reviewed
        or
        self-attested
        or
        unknown
        or null
        required
      • sourceConnected
        boolean
        or null
        required
      • access
        permission_required
        or null
        required
      • context
        optional
        company
        or
        investor_fund
        default: "company"
      • lastFiledPeriod
        optional
        string
        or null
        minLength: 1 · default: null
      • reportContentsPublic
        optional
        false
        default: false
      • financialMetricsPublic
        optional
        false
        default: false
  • pagination
    object
    required
    • limit
      integer
      required
      maximum: 100 · minimum: 0
    • returned
      integer
      required
      minimum: 0
    • hasMore
      boolean
      required
    • nextPage
      integer
      or null
      required
      minimum: 0
    • nextPath
      string
      or null
      required
      minLength: 1
    • totalKnown
      integer
      or null
      required
      minimum: 0
    • page
      integer
      or null
      required
      minimum: 0
    • nextCursor
      string
      or null
      required
      format: uuid
  • factsStatus
    available
    or
    unavailable
    or
    not_applicable
    required
  • unavailableComponent
    graph
    or
    publication
    or null
    required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close